Index: code/trunk/src/orxonox/graphics/AnimatedModel.h
===================================================================
--- code/trunk/src/orxonox/graphics/AnimatedModel.h	(revision 10728)
+++ code/trunk/src/orxonox/graphics/AnimatedModel.h	(revision 11071)
@@ -44,5 +44,5 @@
             virtual ~AnimatedModel();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             void registerVariables();
 
@@ -51,5 +51,5 @@
             virtual void setAnimEnabled(bool enabled);
             virtual void setAnimLoop(bool loop);
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
             virtual void changedMesh();
 
Index: code/trunk/src/orxonox/graphics/Backlight.cc
===================================================================
--- code/trunk/src/orxonox/graphics/Backlight.cc	(revision 10728)
+++ code/trunk/src/orxonox/graphics/Backlight.cc	(revision 11071)
@@ -51,6 +51,6 @@
         RegisterObject(Backlight);
 
-        this->ribbonTrail_ = 0;
-        this->ribbonTrailNode_ = 0;
+        this->ribbonTrail_ = nullptr;
+        this->ribbonTrailNode_ = nullptr;
 
         this->width_ = 0;
Index: code/trunk/src/orxonox/graphics/Backlight.h
===================================================================
--- code/trunk/src/orxonox/graphics/Backlight.h	(revision 10728)
+++ code/trunk/src/orxonox/graphics/Backlight.h	(revision 11071)
@@ -44,8 +44,8 @@
             virtual ~Backlight();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void tick(float dt);
-            virtual void changedVisibility();
+            virtual void tick(float dt) override;
+            virtual void changedVisibility() override;
 
             inline void setWidth(float width)
@@ -74,15 +74,15 @@
                 { return this->trailmaterial_; }
 
-            virtual void changedScale();
+            virtual void changedScale() override;
 
         protected:
-            virtual void changedTimeFactor(float factor_new, float factor_old);
+            virtual void changedTimeFactor(float factor_new, float factor_old) override;
 
         private:
             void registerVariables();
-            virtual void startturnonoff();
-            virtual void stopturnonoff();
-            virtual void poststopturnonoff();
-            virtual void changedColour();
+            virtual void startturnonoff() override;
+            virtual void stopturnonoff() override;
+            virtual void poststopturnonoff() override;
+            virtual void changedColour() override;
             void update_width();
             void update_lifetime();
Index: code/trunk/src/orxonox/graphics/Billboard.cc
===================================================================
--- code/trunk/src/orxonox/graphics/Billboard.cc	(revision 10728)
+++ code/trunk/src/orxonox/graphics/Billboard.cc	(revision 11071)
@@ -139,5 +139,5 @@
     {
         Ogre::BillboardSet* bSet = this->billboard_.getBillboardSet();
-        if( bSet != NULL )
+        if( bSet != nullptr )
         {
             bSet->setBillboardType(bbt);
@@ -148,5 +148,5 @@
     {
         Ogre::BillboardSet* bSet = this->billboard_.getBillboardSet();
-        if( bSet != NULL )
+        if( bSet != nullptr )
         {
             bSet->setCommonDirection( vec );
@@ -157,5 +157,5 @@
     {
         Ogre::BillboardSet* bSet = this->billboard_.getBillboardSet();
-        if( bSet != NULL )
+        if( bSet != nullptr )
         {
             bSet->setCommonUpVector( vec );
@@ -166,5 +166,5 @@
     {
         Ogre::BillboardSet* bSet = this->billboard_.getBillboardSet();
-        if( bSet != NULL )
+        if( bSet != nullptr )
         {
             bSet->setDefaultDimensions(width, height);
Index: code/trunk/src/orxonox/graphics/Billboard.h
===================================================================
--- code/trunk/src/orxonox/graphics/Billboard.h	(revision 10728)
+++ code/trunk/src/orxonox/graphics/Billboard.h	(revision 11071)
@@ -47,7 +47,7 @@
             virtual ~Billboard();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline const BillboardSet& getBillboardSet() const
@@ -71,5 +71,5 @@
 
 
-            virtual void setTeamColour(const ColourValue& colour)
+            virtual void setTeamColour(const ColourValue& colour) override
                 { this->setColour(colour); }
                 
Index: code/trunk/src/orxonox/graphics/BlinkingBillboard.h
===================================================================
--- code/trunk/src/orxonox/graphics/BlinkingBillboard.h	(revision 10728)
+++ code/trunk/src/orxonox/graphics/BlinkingBillboard.h	(revision 11071)
@@ -44,7 +44,7 @@
             virtual ~BlinkingBillboard();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             inline void setAmplitude(float amplitude)
Index: code/trunk/src/orxonox/graphics/Camera.h
===================================================================
--- code/trunk/src/orxonox/graphics/Camera.h	(revision 10728)
+++ code/trunk/src/orxonox/graphics/Camera.h	(revision 11071)
@@ -50,5 +50,5 @@
 
             void setConfigValues();
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             void requestFocus();
@@ -72,5 +72,5 @@
             void configvaluecallback_changedNearClipDistance();
 
-            void windowResized(unsigned int newWidth, unsigned int newHeight);
+            virtual void windowResized(unsigned int newWidth, unsigned int newHeight) override;
 
             Ogre::Camera*    camera_;
Index: code/trunk/src/orxonox/graphics/FadingBillboard.h
===================================================================
--- code/trunk/src/orxonox/graphics/FadingBillboard.h	(revision 10728)
+++ code/trunk/src/orxonox/graphics/FadingBillboard.h	(revision 11071)
@@ -45,9 +45,9 @@
             virtual ~FadingBillboard();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void tick(float dt);
-            virtual void changedActivity();
-            virtual void changedVisibility();
+            virtual void tick(float dt) override;
+            virtual void changedActivity() override;
+            virtual void changedVisibility() override;
 
             inline void setTurnOnTime(float turnontime)
@@ -69,5 +69,5 @@
             virtual void stopturnonoff();
             virtual void poststopturnonoff();
-            virtual void changedColour();
+            virtual void changedColour() override;
 
             float turnontime_;
Index: code/trunk/src/orxonox/graphics/GlobalShader.h
===================================================================
--- code/trunk/src/orxonox/graphics/GlobalShader.h	(revision 10728)
+++ code/trunk/src/orxonox/graphics/GlobalShader.h	(revision 11071)
@@ -44,7 +44,7 @@
             virtual ~GlobalShader();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline const Shader& getShader() const
Index: code/trunk/src/orxonox/graphics/Light.cc
===================================================================
--- code/trunk/src/orxonox/graphics/Light.cc	(revision 10728)
+++ code/trunk/src/orxonox/graphics/Light.cc	(revision 11071)
@@ -31,5 +31,4 @@
 #include <OgreSceneManager.h>
 #include <OgreLight.h>
-#include <boost/static_assert.hpp>
 
 #include "util/StringUtils.h"
@@ -45,7 +44,7 @@
 
     // Be sure we don't do bad conversions
-    BOOST_STATIC_ASSERT((int)Ogre::Light::LT_POINT       == (int)Light::Point);
-    BOOST_STATIC_ASSERT((int)Ogre::Light::LT_DIRECTIONAL == (int)Light::Directional);
-    BOOST_STATIC_ASSERT((int)Ogre::Light::LT_SPOTLIGHT   == (int)Light::Spotlight);
+    static_assert((int)Ogre::Light::LT_POINT       == (int)Light::Type::Point,       "check enum");
+    static_assert((int)Ogre::Light::LT_DIRECTIONAL == (int)Light::Type::Directional, "check enum");
+    static_assert((int)Ogre::Light::LT_SPOTLIGHT   == (int)Light::Type::Spotlight,   "check enum");
 
     Light::Light(Context* context) : StaticEntity(context)
@@ -53,8 +52,8 @@
         RegisterObject(Light);
 
-        this->light_ = 0;
+        this->light_ = nullptr;
         this->diffuse_ = ColourValue::White;
         this->specular_ = ColourValue::White;
-        this->type_ = Light::Point;
+        this->type_ = Type::Point;
         this->attenuation_ = Vector4(100000, 1, 0, 0);
         this->spotlightRange_ = Vector3(40.0f, 30.0f, 1.0f);
@@ -106,5 +105,5 @@
     void Light::registerVariables()
     {
-        registerVariable((int&)this->type_,     VariableDirection::ToClient, new NetworkCallback<Light>(this, &Light::updateType));
+        registerVariable(this->type_,           VariableDirection::ToClient, new NetworkCallback<Light>(this, &Light::updateType));
         registerVariable(this->diffuse_,        VariableDirection::ToClient, new NetworkCallback<Light>(this, &Light::updateDiffuseColour));
         registerVariable(this->specular_,       VariableDirection::ToClient, new NetworkCallback<Light>(this, &Light::updateSpecularColour));
@@ -127,5 +126,5 @@
     void Light::updateAttenuation()
     {
-        if (this->light_ && this->type_ != Light::Directional)
+        if (this->light_ && this->type_ != Type::Directional)
             this->light_->setAttenuation(this->attenuation_.x, this->attenuation_.y, this->attenuation_.z, this->attenuation_.w);
     }
@@ -133,5 +132,5 @@
     void Light::updateSpotlightRange()
     {
-        if (this->light_ && this->type_ == Light::Spotlight)
+        if (this->light_ && this->type_ == Type::Spotlight)
             this->light_->setSpotlightRange(Degree(this->spotlightRange_.x), Degree(this->spotlightRange_.y), this->spotlightRange_.z);
     }
@@ -140,11 +139,11 @@
     {
         if (type == "point")
-            this->setType(Light::Point);
+            this->setType(Type::Point);
         else if (type == "directional")
-            this->setType(Light::Directional);
+            this->setType(Type::Directional);
         else if (type == "spotlight")
-            this->setType(Light::Spotlight);
+            this->setType(Type::Spotlight);
         else
-            this->setType(Light::Point);
+            this->setType(Type::Point);
     }
 
@@ -153,9 +152,9 @@
         switch (this->type_)
         {
-            case Light::Directional:
+            case Type::Directional:
                 return "directional";
-            case Light::Spotlight:
+            case Type::Spotlight:
                 return "spotlight";
-            case Light::Point:
+            case Type::Point:
             default:
                 return "point";
@@ -169,7 +168,7 @@
             this->light_->setType(static_cast<Ogre::Light::LightTypes>(this->type_));
 
-            if (this->type_ != Light::Directional)
+            if (this->type_ != Type::Directional)
                 this->updateAttenuation();
-            if (this->type_ == Light::Spotlight)
+            if (this->type_ == Type::Spotlight)
                 this->updateSpotlightRange();
         }
Index: code/trunk/src/orxonox/graphics/Light.h
===================================================================
--- code/trunk/src/orxonox/graphics/Light.h	(revision 10728)
+++ code/trunk/src/orxonox/graphics/Light.h	(revision 11071)
@@ -42,5 +42,5 @@
     {
         public:
-            enum LightTypes // Copy from the Ogre enum
+            enum class Type // Copy from the Ogre enum
             {
                 /// Point light sources give off light equally in all directions, so require only position not direction
@@ -56,14 +56,14 @@
             virtual ~Light();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline Ogre::Light* getLight()
                 { return this->light_; }
 
-            inline void setType(Light::LightTypes type)
+            inline void setType(Light::Type type)
                 { this->type_ = type; this->updateType(); }
-            inline Light::LightTypes getType() const
+            inline Light::Type getType() const
                 { return this->type_; }
 
@@ -78,5 +78,5 @@
                 { return this->specular_; }
 
-            virtual void setTeamColour(const ColourValue& colour)
+            virtual void setTeamColour(const ColourValue& colour) override
                 { this->setDiffuseColour(colour); this->setSpecularColour(colour); }
 
@@ -144,5 +144,5 @@
 
             Ogre::Light* light_;
-            LightTypes type_;
+            Light::Type type_;
             ColourValue diffuse_;
             ColourValue specular_;
Index: code/trunk/src/orxonox/graphics/MeshLodInformation.h
===================================================================
--- code/trunk/src/orxonox/graphics/MeshLodInformation.h	(revision 10728)
+++ code/trunk/src/orxonox/graphics/MeshLodInformation.h	(revision 11071)
@@ -50,5 +50,5 @@
             float getReductionRate(){ return this->reductionRate_; }
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         private:
Index: code/trunk/src/orxonox/graphics/Model.cc
===================================================================
--- code/trunk/src/orxonox/graphics/Model.cc	(revision 10728)
+++ code/trunk/src/orxonox/graphics/Model.cc	(revision 11071)
@@ -134,5 +134,5 @@
             Level* level = this->getLevel();
 
-            assert( level != 0 );
+            assert( level != nullptr );
 
             MeshLodInformation* lodInfo = level->getLodInfo(this->meshSrc_);
@@ -157,5 +157,5 @@
                 BaseObject* creatorPtr = this;
 
-                while(creatorPtr!=NULL&&orxonox_cast<WorldEntity*>(creatorPtr))
+                while(creatorPtr!=nullptr&&orxonox_cast<WorldEntity*>(creatorPtr))
                 {
                     scaleFactor *= getBiggestScale(((WorldEntity*) creatorPtr)->getScale3D());
Index: code/trunk/src/orxonox/graphics/Model.h
===================================================================
--- code/trunk/src/orxonox/graphics/Model.h	(revision 10728)
+++ code/trunk/src/orxonox/graphics/Model.h	(revision 11071)
@@ -46,7 +46,7 @@
             void setConfigValues();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline const Mesh& getMesh() const
Index: code/trunk/src/orxonox/graphics/ParticleEmitter.cc
===================================================================
--- code/trunk/src/orxonox/graphics/ParticleEmitter.cc	(revision 10728)
+++ code/trunk/src/orxonox/graphics/ParticleEmitter.cc	(revision 11071)
@@ -52,5 +52,5 @@
             ThrowException(AbortLoading, "Can't create ParticleEmitter, no scene or no scene manager given.");
 
-        this->particles_ = 0;
+        this->particles_ = nullptr;
         this->LOD_ = LODParticle::Normal;
 
@@ -102,5 +102,5 @@
         {
             delete this->particles_;
-            this->particles_ = 0;
+            this->particles_ = nullptr;
         }
 
Index: code/trunk/src/orxonox/graphics/ParticleEmitter.h
===================================================================
--- code/trunk/src/orxonox/graphics/ParticleEmitter.h	(revision 10728)
+++ code/trunk/src/orxonox/graphics/ParticleEmitter.h	(revision 11071)
@@ -43,8 +43,8 @@
             virtual ~ParticleEmitter();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
-            virtual void changedActivity();
+            virtual void changedVisibility() override;
+            virtual void changedActivity() override;
 
             inline ParticleInterface* getParticleInterface() const
Index: code/trunk/src/orxonox/graphics/ParticleSpawner.h
===================================================================
--- code/trunk/src/orxonox/graphics/ParticleSpawner.h	(revision 10728)
+++ code/trunk/src/orxonox/graphics/ParticleSpawner.h	(revision 11071)
@@ -43,6 +43,6 @@
             virtual ~ParticleSpawner();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void stop(bool bDestroy)
